* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Calibri', sans-serif;
  
}


/* scroll bar */

::-webkit-scrollbar {
    width: 10px;
    -webkit-appearance: none;
}


  /* Track */
  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 0px grey; 
    border-radius: 10px;
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #bbb; 
    border-radius: 10px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #888; 
  }
  

/* General */

.invisible {
    display: none;
}

body {
    overflow-x: hidden;
    overflow-y: scroll;
    background-color:white;
}

.separator{
    background-color: lightgrey;
    height: 1px;
    width: 40vw;
}


/* nav bar */

nav {
    display: flex;
    justify-content:space-between;
    align-items: center;
    position: fixed;
    height: 6vh;
    width: 100vw;
    margin: auto;
    background-color: white;
    border-bottom: 1px solid lightgrey ;
    z-index: 1000;

}

.logo {
    background-color: white;
}

.logo img {
    height: 4vh;
}


@media screen and (max-width: 450px) { 

    .logo img {
        height: 4vh;
    }

}

.left-bar {
    height: 94vh;
    top: 6vh;
    left: -10vw;
    position: absolute;
    width: 10vw;
    z-index: 100;
    transition: transform 0.5s ease-in;
    transform: translateX(0%);
    background-color: white;
}

.links-box {
    height: 24%;
    width: 100%;
    top: 10%;
    position: relative;
    display: block;
}

.nav-links {
    margin: auto;
    list-style: none;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content:space-between;
    align-items: center;
    
        
}

.nav-active {
    transform: translateX(100%);
}

.nav-link a{
    text-decoration: none;
    color: #000;
    font-size: 22px;
    font-weight: 500;
}

.right-bar {
    height: 94vh;
    top: 6vh;
    right: -10vw;
    position: absolute;
    width: 10vw;
    z-index: 100;
    transition: transform 0.5s ease-in;
    transform: translateX(0%);
    background-color: white;

}

.search-panel {
    list-style: none;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content:space-between;
    align-items: center;
    background-color: white;
        
}

.category-link a{
    text-decoration: none;
    color: #000;
    font-size: 22px;
    font-weight: 500;
}

.nav-link .category-selected{
    font-weight: 800;
}

.category-link .category-selected{
    font-weight: 800;
}

.search-active {

    transform: translateX(-100%);
}


.home {
    width: 100vw;
    height: 94vh;
    top: 6vh;
    position: absolute;
}

.home .background {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: top;
}

.home_logo {
    position: fixed;
    top: 40%;
    width: 100%;
    height: 20%;
}

.home_logo img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 12.5%;
}



@media screen and (max-width: 1024px) {
    
    .left-bar {
        width: 40vw; 
        left: -40vw;
         
     }
 
     .right-bar {
         width: 40vw;
         right: -40vw;
     }

}

@media screen and (max-width: 1300px) {
    
    .left-bar {
        width: 30vw; 
        left: -30vw;
         
     }
 
     .right-bar {
         width: 30vw;
         right: -30vw;
     }

}

@media screen and (max-width: 768px) { 

    nav {
        height: 9vh;
    }


    .left-bar {
       width: 100vw; 
       left: -100vw; 
    }

    .right-bar {
        width: 100vw;
        right: -100vw;
    }

    .home img { 
        width: 100%;
    }

    .home_logo img {
        width: 50%;
    }

    .links-box {
        height: 33%;
        width: 100%;
        top: 15%;
        position: relative;
        display: block;
    }
    

}

.search {
    position: relative;
    right: 10px;
    cursor: pointer;
    text-decoration: none;
    color: #000;
    font-size: 22px;
    font-weight: 500;
    width: 37px;
    height: 27px;
}


/* burger */
.burger {
    position: relative;
    left: 20px;
    cursor: pointer;
    background-color: white;
}

.burger-right {
    position: relative;
    left: -10px;
    cursor: pointer;
    background-color: white;
}

.burger div {
    width: 25px;
    background-color: black;
    height: 1px;
    margin: 6px;
    transition: all 0.3s ease;
}

/* burger */
.modal-close {
    position: relative;
    left: 20px;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.0);
}


.modal-close div {
    width: 35px;
    background-color: white;
    height: 1px;
    margin: 6px;
    transition: all 0.3s ease;
}


.toggle .line1 {
    transform: rotate(-45deg) translate(-4px, 6px); 
}

.toggle .line2 {
    opacity: 0;
}

.toggle .line3 {
    transform: rotate(45deg) translate(-4px, -6px);
}



#search_close div {
    width: 25px;
    background-color: black;
    height: 1px;
    margin: 6px;
    transition: all 0.3s ease;
}

#search_close .line1 {
    transform: rotate(-45deg) translate(-4px, 6px); 
}

#search_close .line2 {
    opacity: 0;
}

#search_close .line3 {
    transform: rotate(45deg) translate(-4px, -6px);
}


/* Page projet */


.project {
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;
    width: 80vw;
    margin:auto;
    position: relative;
    top: 60px;

}

.project-photo img {

    width: 40vw;
    margin-top: 30px;

}


p.legende {
    font-style: italic;
    text-align: justify;
    margin-top: 5px;
    margin-bottom: 10px;
    font-size: 14px;
    width: 40vw;
}

@media screen and (max-width: 768px) { 

    .project {
        top: 60px;
    }

    .project-photo img {
        width: 90vw;
    }

    p.legende {
        width: 90vw;
    }
}

.project-title {
    margin-top:50px;
    width: 40vw;
    text-align: left;
}

.project-title p {
    text-align: justify;
}

.project-subtitle {
    margin-top:5px;
    font-weight: normal;
    font-size: 19px;
    width: 40vw;
    text-align: left;

}

.project-nav {
    width: 40vw;
    display: flex;
    justify-content: space-around;
    margin-top: 30px;
    margin-bottom: 30px;
}

.project-nav img {
    width: 20px;
    height: 20px;
    cursor: pointer;
}


.project-desc {
    margin-top: 15px;
    width: 40vw;
    text-align: justify;
}

.project-desc p {
    margin-top: 20px;
}

.project-building-title {
    width: 55vw;
    text-align: center;
    margin-top: 70px;
    margin-bottom: 30px;
}

.project-building-gallery {

    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;
    margin-bottom: 30px;
    width: 55vw;
    justify-content: left;

}

.project-building-gallery .building-pic {
    position: relative;
    height: 180px;
    margin: 10px;
}


.building-pic img {
    height: 180px;
    width: 180px;
    /* margin: 10px; */
    object-fit:cover;
}

@media screen and (max-width: 1024px) { 

    .project-photo img {
        width: 90vw;
    }
    .project-title {
        width: 90vw;
    }
    
    .project-subtitle {
        width: 90vw;
        
    }

    .project-desc {
        width: 90vw;
        
    }
    
    .project-building-title {
        width: 50vw;
    }
    
    .project-building-gallery {
    
        width: 80vw;
    
    }
    

    .building-pic img {
        height: 120px;
        width: 120px;
    }

    .project-building-gallery .building-pic {
        height: 140px;
    }

}


@media screen and (max-width: 425px) { 

    .project-building-gallery {
        justify-content: center;
        width: 100%;
    }
}


/* page Projets */

.project-gallery {

    width: 1458px;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    align-content: space-between;
    position: relative;
    top: 90px;
    justify-content: left;
}


.project-gallery .img-container{       
    position: relative;
    margin: 30px;
}

.project-gallery img {
    width: 426px;
    height: 640px;
}


.project-gallery .img-shadow {

    position: relative;
    height: 99%;
    width: 100%;
    transition: opacity 0.5s ease;
}

.img-shadow img {

}

  
  /* (C) CAPTION */
  .img-text {
    /* (C1) DIMENSIONS */
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    /* (C2) POSITION */
    position: absolute;
    top: 0;
    text-align: right;
    /* (C3) COLORS */
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
  }
  
  /* (D) SHOW/HIDE */
  .img-text {
    visibility: none;
    opacity: 0;
    transition: opacity 0.3s;
  }
  .img-shadow:hover .img-text {
    visibility: visible;
    opacity: 1;
  }


  .shadow {
    visibility: visible;
    opacity: 1;
  }

  .img-text h4 {
    font-size: 24px;
    color: white;
    position: relative;
    top: 500px;
    right: 30px;
    opacity: 1;
}

.img-text p {
    font-size: 19px;
    color: white;
    position: relative;
    top: 520px;
    right: 30px;
    opacity: 1;
}

@media screen and (max-width: 1920px) { 

    .project-gallery {
        width: 1440px;
        
    }

    .project-gallery img {
        width: 300px;
        height: 450px;
    }

    .img-text h4 {
        top: 320px;
     
    }    
    .img-text p {
        top: 340px;
    }

}

@media screen and (max-width: 1532px) { 

    .project-gallery {
        width: 1080px;
        
    }

    .project-gallery img {
        width: 300px;
        height: 450px;
    }

    .img-text h4 {
        top: 320px;
     
    }    
    .img-text p {
        top: 340px;
    }

}

@media screen and (max-width: 1024px) { 

    .project-gallery {
        width: 930px; 
    }

.project-gallery .img-container {
    margin: 10px;
}

    .project-gallery img {
        /* width: 250px;
        height: 376px; i*/
	width: 90vw;
        height: unset;
    }

    .img-text h4 {
        top: 260px;
     
    }    
    .img-text p {
        top: 290px;
    }

}


@media screen and (max-width: 768px) { 

    .project-gallery {
       width: 620px;
    }
}


@media screen and (max-width: 425px) { 

    .project-gallery {
       width: 100vw;
       justify-content: center;
    }
}


/* page contact */

.contact {

    width: 60vw;
    height: 50vh;
    top: 40vh;
    left: 20vw;
    position: absolute;
    background-color: white;
    margin: auto;
    display: inline-flex;
    justify-content: space-evenly;
    flex-direction: row;
    align-items:center;
    /* flex-wrap: wrap; */

}

div.text {
    padding-bottom: 20px;
    margin: 40px;

}

.small {
    display: none;
}

.big {
    display: inline-block;
}

.contact p {
    margin-bottom: 20px;
    width: 100%;
    /* height: 120px; */
}

.plan {
   width: 50vw;
   top: 60vh;
   margin: 40px;
}

.plan img {
    height: 100%;
    width: 20vw;
}

.contact a {
    color: #505050;
    text-decoration: none;
}



@media screen and (max-width: 1024px) { 




/* }

@media screen and (max-width: 768px) {  */

    .big {
        display:none;
    }
    
    .small {
        display: block;
    }

    div.text {
        margin: 0px;
    }

    .contact {

        width: 90vw;
        height: 50vh;
        top: 15vh;
        left: 5vw;
        position: absolute;
        background-color: white;
        margin: auto;
        display: flex;
        justify-content: space-evenly;
        flex-direction: row;
        align-items:center;
        flex-wrap: wrap;
    
    }

    .contact-phone {
        top: 45%;
        right: 0px;
        width: 100%;
    
    }
    
    .contact-mail {
        top: 25%;
        left: 0px;
        width: 100%;
    }


    .contact-lieu {
        top: 65%;
        left: 0px;
        width: 100%;
    }

    .plan {
        width: 90vw;
        top: 30vh;
     }
     

    .plan img {
        /* height: 100%; */
        width: 90vw;
    }
}


.about {

    position: relative;
    top: 100px;
    width: 50vw;
    background-color: white;
    margin: auto;
    display: flex;
    justify-content: center; 
    flex-direction:row;
    flex-wrap: wrap;
    align-items:center;
    padding-bottom: 50px;
}

.about-p {
	width: 100%;
	text-align: justify;
}


.about-intro{
   width: 50%;
}

.about-p ul li {

  margin: 10px;
}

.about-img {
	/* display: flex; */
	justify-content: center;
	padding: 20px 0px 20px 0px;
    width: 50%;  
}


.about-img img {
    width: 10vw;
}

.about-img div.legende {
    font-style: italic;
    text-align: center;
    font-size: 14px;
}

.about-img img.full {
    margin-top: 15px;
    margin-bottom: 15px;
    width: 30vw;
    }

@media screen and (max-width: 768px) { 

    .about {
     
        width: 90vw;

    }

.about-intro{
   width: 100%;
}

.about-img img {
    width: 90vw; 
}

.about-img {
	/* display: flex; */
	justify-content: center;
	padding: 20px 0px 20px 0px;
    	width: unset;  
}
.about-img img.full {
    margin-top: 15px;
    margin-bottom: 15px;
    width: 90vw;
    }
}

.about-img {
	/* display: flex; */
	justify-content: center;
	padding: 20px 0px 20px 0px;
}

.about h2 {
    margin-top: 20px;
    margin-bottom: 20px;
}

.about p {
    margin-top: 15px;
    margin-bottom: 15px;
}
